Quassel IRC - Bug #132

Anti Flooding
04/05/2008 09:46 PM - xAFFE

Status: Resolved Start date:

Priority: High Due date:

Assignee: phon % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.2.0-betal

Version: 0.13.1 0S: Any
Description

If you are writing too much text or pasting something, it can happen that the server disconnects you because of "excess flood".

Quassel should have an option to buffer messages and so prevent to get you kicked out of IRC.

History

#1 - 04/10/2008 11:17 PM - Sputnick
Hint: Token Bucket

#2 - 04/15/2008 06:51 PM - phon

NetworkConnection::putRawLine is now "secured" by a token-bucket:

bucket size aka burst size is (for now) set to 5
the cbr is set to 1 msg per second.
